<h2>
    <span>Buku Telpon</span>
    <button class="btn btn-primary float-right jh-create-entity create-purchasing"
        [routerLink]="['/buku-telpon-new']">
        <span class="fa fa-plus"></span>
        <span class="hidden-sm-down">
            Tambah Telpon Baru
        </span>
    </button>
</h2>
<jhi-alert></jhi-alert>
<br/>
<p-dataTable 
    [value]="picRoles"
    [editable]="true"
    [rows]="itemsPerPage"
    [paginator]="true"
    [pageLinks]="5"
    [rowsPerPageOptions]="[10,15,20]"
    [totalRecords]="totalItems"
    [responsive]="true"
    [lazy]="true"
    [(first)]="first"
    row="itemsPerPage"
    totalRecords="totalItems"
    dataKey="idtelp"
    expandableRows="false"
    rowHover="true"
    (onLazyLoad)="loadDataLazy($event)"
    sortMode="multiple">
    <p-header>
        <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3">
                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                    name="currentSearch" placeholder="Cari Nama">
                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                    <span class="fa fa-search"></span>
                </button>
                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                    <span class="fa fa-trash-o"></span>
                </button>
            </div>
        </form>
    </p-header>
    <p-column field="No" header="No" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="Nama">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.nama}}
        </ng-template>
    </p-column>
    <p-column header="Inisial">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.inisial}}
        </ng-template>
    </p-column>
    <p-column header="Telepon 1">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.telp1}}
        </ng-template>
    </p-column>
    <p-column header="Telepon 2">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.telp2}}
        </ng-template>
    </p-column>
    <p-column header="No Fax">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.fax}}
        </ng-template>
    </p-column>
    <p-column header="Email">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.email}}
        </ng-template>
    </p-column>
    <p-column header="Alamat">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.alamat}}
        </ng-template>
    </p-column>
    <p-column header="Keterangan">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.keterangan}} - {{rowData.lain}}
        </ng-template>
    </p-column>
    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit"
                    [routerLink]="['../buku-telpon-Edit/0/' + page + '/' + rowData.idtelp + '/edit']"
                    icon="fa-pencil"
                    class="flat-button">
            </button>
            <!-- <button pButton type="submit"
                (click)="delete(rowData.idMasBahan)"
                icon="fa-remove" pTooltip="hapus"
                class="flat-button">
        </button> -->
        </ng-template>
    </p-column>
    <!-- <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
    </p-column> -->
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
</p-dataTable>
<div style="margin-top: 10px;"></div>
<p-confirmDialog></p-confirmDialog>.
